package inout

import (
	"fmt"
	"os"
)

func SaveObjToFile(filename string, data []byte) error {
	return os.WriteFile(filename, data, os.ModePerm)

}

func ReadFile(filename string) ([]byte, error) {
	return os.ReadFile(filename)
}

func FileToBytes(filename string) []byte {
	data, err := os.ReadFile(filename)
	if err != nil {
		return fmt.Appendf(nil, "%+v", err)

	}
	return data
}
